Skip to main content

v0/endpoints REST API Endpoint

Retrieves a list of endpoints. Supports searching, filtering, and sorting.

Updated on
Jun 26, 2026

Query Parameters

limit
integer

Specifies the maximum number of endpoints to retrieve in the response. The default value is set to 20

offset
integer

Specifies the number of endpoints to skip before starting to retrieve the list

search
string

Search endpoints by subdomain or label

sort_by
string

Sort field. Accepted values: name, status, network, label, tags, usage, created_at. Default value: created_at

sort_direction
string

Sort direction. Accepted values: asc, desc. Default value: ASC

networks
array

Filter by network name(s)

statuses
array

Filter by endpoint status. Accepted values: active, paused

labels
array

Filter by endpoint label(s)

dedicated
boolean

Filter for dedicated endpoints only

is_flat_rate
boolean

Filter for flat rate endpoints only

tag_ids
integer or array

Filter endpoints by tag IDs. Can be a single integer or an array of integers. Optional. Cannot be used together with tag_labels

tag_labels
string or array

Filter endpoints by tag labels. Can be a single string or an array of strings. Optional. Cannot be used together with tag_ids

Returns

data
array

An array of data which contains the following fields:

id
string

A unique identifier for the specific endpoint

name
string

The endpoint subdomain

label
string

A descriptive label for the endpoint

status
string

The current status of the endpoint (active or paused)

chain
string

The blockchain the endpoint is associated with

network
string

The specific network of the blockchain

is_dedicated
boolean

Whether the endpoint is a dedicated endpoint

is_flat_rate
boolean

Whether the endpoint is a flat rate endpoint

is_multichain
boolean

Whether the endpoint is a multichain endpoint

http_url
string

The HTTP URL to access the endpoint

wss_url
string

The WebSocket URL to access the endpoint

tags
array

An array of tags associated with the endpoint

tag_id
integer

The unique identifier for the tag

label
string

The label/name of the tag

pagination
object

Pagination details for the response

total
integer

The total number of endpoints matching the query

limit
integer

The maximum number of endpoints returned per page

offset
integer

The number of endpoints skipped

error
string

An error message if any issue occurs

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free